2010-07-01 gitignore modified (antirez)
2010-06-22 redis.c split into many different C files. (antirez)
2010-06-16 more pub/sub tests (Pieter Noordhuis)
2010-06-15 initial basic pub/sub tests (Pieter Noordhuis)
2010-06-15 fix BLPOP/BRPOP to use the wrapped function for list length (Pieter Noordhuis)
2010-06-15 tests for BLPOP/BRPOP via an option in the tcl client that defers reading the reply (Pieter Noordhuis)
2010-06-14 TODO updated (antirez)
2010-06-14 Merge branch 'ltrim-tests' of git://github.com/pietern/redis (antirez)
2010-06-14 rename "list" to "linkedlist" to be more verbose (Pieter Noordhuis)
2010-06-14 allow running the test suite against an external Redis instance, without auto spawning (antirez)
2010-06-14 change ltrim tests to cover all min/max cases and add stronger stresser (Pieter Noordhuis)
2010-06-13 Fixed deps in makefile and mkreleasehdr.sh script to really take advantage of the new trick to avoid recompilation of redis.c on git sha1 or dirty status change (antirez)
2010-06-13 hopefully faster recompiling with a trick (antirez)
2010-06-13 fixed a bug in rdbLoadObject abount specially encoded objects (antirez)
2010-06-13 use raw strings when loading a hash from the rdb into a zipmap (Pieter Noordhuis)
2010-06-12 Merge branch 'expire' of git://github.com/pietern/redis (antirez)
2010-06-11 Merge branch 'lists' of git://github.com/pietern/redis (antirez)
2010-06-11 LPUSHX, RPUSHX, LINSERT only work on non-empty lists, so there are no clients waiting for a push (Pieter Noordhuis)
2010-06-11 make LINSERT return -1 when the value could not be inserted (Pieter Noordhuis)
2010-06-11 check if the list encoding needs to be changed on LPUSHX, RPUSHX, LINSERT (Pieter Noordhuis)
2010-06-11 make sure the value to insert is string encoded (Pieter Noordhuis)
2010-06-11 rename vars, move arguments, add comments (Pieter Noordhuis)
2010-06-11 always iterate from head to tail on LINSERT (Pieter Noordhuis)
2010-06-11 use REDIS_TAIL to insert AFTER an entry and REDIS_HEAD to insert BEFORE an entry (Pieter Noordhuis)
2010-06-11 move listTypeInsert to be grouped with other wrapper functions (Pieter Noordhuis)
2010-06-11 squashed merge from robey/twitter3: LINSERT BEFORE|AFTER, LPUSHX, RPUSHX (Pieter Noordhuis)
2010-06-09 remove pop function and the sds dependency; can be implemented using get+delete (Pieter Noordhuis)
2010-06-07 compute swappability for ziplist encoded lists (Pieter Noordhuis)
2010-06-07 reuse the sds from the main dictionary in the expiration dictionary (Pieter Noordhuis)
2010-06-07 TODO updated (antirez)
2010-06-07 encode integers while loading an hash (antirez)
2010-06-05 Merge branch 'lists' of git://github.com/pietern/redis (antirez)
2010-06-05 fixed two leaks for the dual encoded lists (Pieter Noordhuis)
2010-06-04 TODO updated (antirez)
2010-06-04 DISCSARD now unwatches all keys, as it should (antirez)
2010-06-04 generated tests for different encodings to avoid test code duplication (Pieter Noordhuis)
2010-06-04 refactor list tests to test both encodings; implemented assert functions (Pieter Noordhuis)
2010-06-04 renamed hash wrapper functions to match wrapper function naming convention: "<type>Type<func>" (Pieter Noordhuis)
2010-06-04 Merge branch 'lists' of git://github.com/pietern/redis (antirez)
2010-06-04 Merge branch 'smallkeys' (antirez)
2010-06-04 safety assert in listTypeNext (Pieter Noordhuis)
2010-06-04 renamed list wrapper functions to be more verbose (Pieter Noordhuis)
2010-06-04 add thresholds for converting a ziplist to a real list (Pieter Noordhuis)
2010-06-04 merge antirez/smallkeys (Pieter Noordhuis)
2010-06-03 test restored (antirez)
2010-06-03 memory leak introduced in the latest big changes fixed (antirez)
2010-06-03 Fixed VM bugs introduced with the top level keys as sds strings changes (antirez)
2010-06-03 top level keys are no longer redis objects but sds strings. There are still a few bugs to fix when VM is enabled (antirez)
2010-06-03 update Makefile to include ziplist.o (Pieter Noordhuis)
2010-06-03 use ziplists in SORT STORE until the thresholds are determined (Pieter Noordhuis)
2010-06-03 Merge branch 'testsuite' of git://github.com/pietern/redis (antirez)
2010-06-03 Merge branch 'testsuite' of git://github.com/pietern/redis into smallkeys (antirez)
2010-06-03 tag memory leak check on kill server as "leaks" (Pieter Noordhuis)
2010-06-03 tag test with sleep() as slow (Pieter Noordhuis)
2010-06-03 make sure the config it returned when called without code (Pieter Noordhuis)
2010-06-03 tag more slow tests (Pieter Noordhuis)
2010-06-03 change how arguments are passed from the AOF tests (Pieter Noordhuis)
2010-06-03 scope res variable outside test (Pieter Noordhuis)
2010-06-02 tags for existing tests (Pieter Noordhuis)
2010-06-02 pass tags to filter and match via arguments (Pieter Noordhuis)
2010-06-02 basic support to tag tests (Pieter Noordhuis)
2010-06-02 changed how server.tcl accepts options to support more directives without requiring more arguments to the proc (Pieter Noordhuis)
2010-06-02 removed obsolete code (Pieter Noordhuis)
2010-06-02 catch exceptions in the server proc, to be able to kill the entire chain of running servers (Pieter Noordhuis)
2010-06-02 Merge branch 'master' into smallkeys (antirez)
2010-06-02 smarter swapout policy on AOF too (antirez)
2010-06-02 better swapout policy while loading RDB file (antirez)
2010-06-02 minor code comment change (antirez)
2010-06-01 use integer types from stdint.h to be more verbose on the size in bytes of encoded elements. update list length to use 2 bytes instead of 1. (Pieter Noordhuis)
2010-06-01 added stress test for heavy i/o in ziplists (Pieter Noordhuis)
2010-06-01 fix signedness errors in ziplist testing code (Pieter Noordhuis)
2010-06-01 minor code movements and free object pull restored to 1 million (antirez)
2010-06-01 TODO updated with syslog plans for 2.2 (antirez)
2010-06-01 Debug message was printing stuff that are sometimes not initialized/valid (antirez)
2010-06-01 Merge branch 'smallkeys' of github.com:antirez/redis into smallkeys (antirez)
2010-06-01 fixed a few comments (antirez)
2010-06-01 fixed bugs introduced in the rewrite of the new VM engine (antirez)
2010-05-31 support rewriting the AOF with dual list encoding (Pieter Noordhuis)
2010-05-31 small refactor of fwrite* commands for AOF rewrite to allow writing a bulk long long (Pieter Noordhuis)
2010-05-31 use list wrapper functions in computing the dataset digest (Pieter Noordhuis)
2010-05-31 ziplistNext should work as expected when called with a pointer to ZIP_END (Pieter Noordhuis)
2010-05-31 update SORT to work with the dual list encoding (Pieter Noordhuis)
2010-05-31 function to create a new ziplist encoded list (Pieter Noordhuis)
2010-05-31 fixed missing incrRefCount (antirez)
2010-05-31 support rdb saving/loading with dual list encoding (Pieter Noordhuis)
2010-05-31 fixed signedness and disambiguate variable names (Pieter Noordhuis)
2010-05-31 added rdb save function to directly save long long values (Pieter Noordhuis)
2010-05-31 update RPOPLPUSH to support dual encoding (Pieter Noordhuis)
2010-05-31 update list iteration semantic to work as expected (i.e. "while(lNext(..))") (Pieter Noordhuis)
2010-05-31 ziplistDelete no longer needs a direction now ziplistPrev is fixed (Pieter Noordhuis)
2010-05-31 ziplistPrev should return the tail when the argument is ZIP_END (Pieter Noordhuis)
2010-05-31 first step of VM rewrite. blocking VM tests passing, more work needed in the async side (antirez)
2010-05-31 Merge branch 'no-appendfsync-on-rewrite' (antirez)
2010-05-30 fix LREM to remove *all* occurances when a zero argument is given (Pieter Noordhuis)
2010-05-30 fixed LINDEX to always return bulk response (Pieter Noordhuis)
2010-05-30 the tail offset must be an integer pointer to hold a 32-bit offset (Pieter Noordhuis)
2010-05-30 update LREM to support dual encoding via extra iteration primitives (Pieter Noordhuis)
2010-05-30 support dual encoding in LTRIM (Pieter Noordhuis)
2010-05-30 update LRANGE to use basic iteration code to support dual encoding (Pieter Noordhuis)
2010-05-30 inline support for dual encoding in the LINDEX and LSET commands (Pieter Noordhuis)
2010-05-30 generic pop and length function for ziplist encoding (Pieter Noordhuis)
2010-05-30 generic push function that supports the dual encoding (Pieter Noordhuis)
2010-05-30 change delete function to accept a direction argument, so "p" can be properly updated (Pieter Noordhuis)
2010-05-30 expose extra functionality from ziplist.c (Pieter Noordhuis)
2010-05-30 code style consistency fixes (Pieter Noordhuis)
2010-05-29 ziplistIndex now accepts negative indices (Pieter Noordhuis)
2010-05-29 fix compile warnings (Pieter Noordhuis)
2010-05-29 use simpler encoding for the length of the previous entry (Pieter Noordhuis)
2010-05-29 replace functions to get pointers to head and tail by macros (Pieter Noordhuis)
2010-05-29 function to insert an element at an arbitrary position in the list (Pieter Noordhuis)
2010-05-29 extract a generic delete function that can be used in pop and delete(range) (Pieter Noordhuis)
2010-05-29 use the entry struct in zipRawEntryLength (Pieter Noordhuis)
2010-05-29 rename argument names to s* to disambiguate from e* (Pieter Noordhuis)
2010-05-29 change ziplistRepr to use the entry struct (Pieter Noordhuis)
2010-05-29 modify compare function to check if the encoding is equal before comparing (Pieter Noordhuis)
2010-05-29 use a struct to retrieve all details for an entry (Pieter Noordhuis)
2010-05-29 initial implementation for making the ziplist doubly linked (Pieter Noordhuis)
2010-05-29 fix some warnings (Pieter Noordhuis)
2010-05-29 add function to retrieve ziplist size in bytes (Pieter Noordhuis)
2010-05-22 fix compare function of ziplist to only load integer from ziplist when it is encoded as integer (Pieter Noordhuis)
2010-05-22 add function to retrieve length of ziplist (Pieter Noordhuis)
2010-05-22 re-introduce ZIP_BIGLEN for clarity (Pieter Noordhuis)
2010-05-22 added header ziplist.h (Pieter Noordhuis)
2010-05-22 code to compare strings with entries in ziplist, regardless of their encoding (Pieter Noordhuis)
2010-05-22 updated iteration code to work well with different encodings (Pieter Noordhuis)
2010-05-22 move code from zip.c to ziplist.c (Pieter Noordhuis)
2010-05-22 partial revert of c80df5 because ziplist functions are starting to divert too much from zipmap functions (Pieter Noordhuis)
2010-05-22 initial work for integer encoding in ziplists (Pieter Noordhuis)
2010-05-22 move length housekeeping to a macro (Pieter Noordhuis)
2010-05-21 allow entries to be deleted in place when iterating over a ziplist (Pieter Noordhuis)
2010-05-21 allow pointer to be stored to current element when iterating over ziplist (Pieter Noordhuis)
2010-05-21 rename ziplistDelete to ziplistDeleteRange (Pieter Noordhuis)
2010-05-21 code to delete an inner range from the ziplist (Pieter Noordhuis)
2010-05-21 check if *value is non-NULL before setting it (Pieter Noordhuis)
2010-05-21 change iteration code to avoid allocating a new sds for each traversed entry (Pieter Noordhuis)
2010-05-21 code to iterate over a ziplist (Pieter Noordhuis)
2010-05-21 implementation for a ziplist with push and pop support (Pieter Noordhuis)
2010-05-21 extracted general methods to zip.c for reuse in other zip* structures (Pieter Noordhuis)
2010-05-28 command table size calculated with sizeof (antirez)
2010-05-28 use qsort and bsearch to lookup commands in O(log(N)) instead of O(N) (Pieter Noordhuis)
2010-05-28 Merge branch 'cli-stdin' of git://github.com/pietern/redis (antirez)
2010-05-28 Fixed ZINCR Nan bugs leading to server crash and added tests (antirez)
2010-05-28 redis.conf new features the new option, a minor typo preventing the compilation fixed (antirez)
2010-05-28 don't fsync after a rewrite if appendfsync is set to no. use aof_fsycn instead of fsync where appropriate (antirez)
2010-05-28 added new option no-appendfsync-on-rewrite to avoid blocking on fsync() in the main thread while a background process is doing big I/O (antirez)
2010-05-28 Added Git sha1 and dirty status in redis-server -v output (antirez)
2010-05-28 changed the message in the Makefile with the new command like to run the test suite (antirez)
2010-05-27 Fixed typo. (Vincent Palmer)
2010-05-27 new multi/exec tests (antirez)
2010-05-26 build command outside while loop (Pieter Noordhuis)
2010-05-26 require the flag "-c" to be used for redis-cli to read the last argument from stdin (Pieter Noordhuis)
2010-05-26 Merge branch 'master' into nested-multi (antirez)
2010-05-26 Fix EXEC bug that was leaving the client in dirty status when used with WATCH (antirez)
2010-05-26 raise error on nested MULTI and WATCH inside multi (antirez)
2010-05-25 allow regular sets to be passed to zunionstore/zinterstore (Pieter Noordhuis)
2010-05-25 Version is now 2.1.1 (antirez)
2010-05-25 RENAME is now WATCH-aware (antirez)
2010-05-25 TODO updated (antirez)
2010-05-25 WATCH is now able to detect keys removed by FLUSHALL and FLUSHDB (antirez)
2010-05-25 WATCH tests (antirez)
2010-05-25 minor bug fixed in WATCH (antirez)
2010-05-25 WATCH for MULTI/EXEC (CAS alike concurrency) (antirez)
2010-05-25 gitignore updated (antirez)
2010-05-21 Master is now already unfreezed, unstable, and ready to hacking sessions! (antirez)
2010-05-21 Merge branch 'solaris' of git://github.com/pietern/redis (antirez)
2010-05-21 Changelog updated (antirez)
2010-05-21 redis version is now 1.3.14 (aka 2.0.0 RC1) (antirez)
2010-05-21 html doc updated (antirez)
2010-05-21 by default test with valgrind does not show full leak info (antirez)
2010-05-21 minor fix for the skiplist code, resulting in a false positive with valgrind, and in general into a useless small allocation (antirez)
2010-05-21 Merge branch 'master' of git@github.com:antirez/redis (antirez)
2010-05-21 tests suite initial support for valgrind, fixed the old test suite until the new one is able to target a specific host/port (antirez)
2010-05-21 include solaris fixes in sha1.c (Pieter Noordhuis)
2010-05-20 Don't exit with error in tests temp file cleanup if there are no files to clean (antirez)
2010-05-20 fix memory leak on 32-bit builds (Pieter Noordhuis)
2010-05-20 Merge branch 'master' of github.com:antirez/redis (antirez)
2010-05-20 Fix for DEBUG DIGEST (antirez)
2010-05-20 Merge branch 'test_vm' of git://github.com/pietern/redis (antirez)
2010-05-20 code to enable running tests with the vm enabled (Pieter Noordhuis)
2010-05-20 minor change to shutdown (antirez)
2010-05-20 shutdown on SIGTERM (antirez)
2010-05-20 Merge http://github.com/ngmoco/redis (antirez)
2010-05-20 fix compile error on solaris (Pieter Noordhuis)
2010-05-20 added regression for zipmap bug (antirez)
2010-05-20 fix lookup of keys with length larger than ZIPMAP_BIGLEN (Pieter Noordhuis)
2010-05-19 TODO updated (antirez)
2010-05-19 initial tests for AOF (and small changes to server.tcl to support these) (Pieter Noordhuis)
2010-05-19 Merge branch 'master' into integration (Pieter Noordhuis)
2010-05-19 Fix for 'CONFIG SET appendonly no' (antirez)
2010-05-19 It's now possible to turn off and on the AOF via CONFIG (antirez)
2010-05-18 git hash 00000000 in reelase.h when git is not found enabled again after some shell scripting fix that is now compatible with most shells (antirez)
2010-05-18 build fixed when simpler shells are used to create release.h (antirez)
2010-05-18 use git diff when generating release.h to check for dirty status (antirez)
2010-05-18 Solaris fixes (antirez)
2010-05-18 html doc rebuild (antirez)
2010-05-18 buliding of release.h moved into an external script. Avoided recompialtion of redis.c if git sha1 is the same as the previous one (antirez)
2010-05-17 create release.h in make process and add this information to INFO listing (Pieter Noordhuis)
2010-05-16 Redis version is now 1.3.12 (antirez)
2010-05-16 redis version is now 1.3.11 (antirez)
2010-05-16 random refactoring and speedups (antirez)
2010-05-16 faster INCR with very little efforts... (antirez)
2010-05-15 print warnings in redis log when a test raises an exception (very likely to be caused by something like a failed assertion) (Pieter Noordhuis)
2010-05-15 Merge branch 'redis-cli-fix' of http://github.com/tizoc/redis (antirez)
2010-05-15 added pid info to the check memory leaks test, so that those tests don't appear to be duplicated (antirez)
2010-05-15 Merge branch 'integration' of git://github.com/pietern/redis (antirez)
2010-05-14 more endianess detection fix for SHA1 (antirez)
2010-05-14 fixed a warning seen with some GCC version under Linux (antirez)
2010-05-14 initial rough integration test for replication (Pieter Noordhuis)
2010-05-14 store entire server object on the stack instead of just the client (Pieter Noordhuis)
2010-05-14 proc to retrieve values from INFO properties (Pieter Noordhuis)
2010-05-14 one more fix for endianess detection (antirez)
2010-05-14 Fixed sha1.c compilation on Linux, due to endianess detection lameness (antirez)
2010-05-14 ZUNION,ZINTER -> ZUNIONSTORE,ZINTERSTORE (antirez)
2010-05-14 minor fixes to the new test suite, html doc updated (antirez)
2010-05-14 wait for redis-server to be settled and ready for connections (Pieter Noordhuis)
2010-05-14 fix cleaning up tmp folder (Pieter Noordhuis)
2010-05-14 update makefile to use the new test suite (Pieter Noordhuis)
2010-05-14 check for memory leaks before killing a server (Pieter Noordhuis)
2010-05-14 extract code to kill a server to a separate proc (Pieter Noordhuis)
2010-05-14 start servers on different ports to prevent conflicts (Pieter Noordhuis)
2010-05-14 use DEBUG DIGEST in new test suite (Pieter Noordhuis)
2010-05-14 split test suite into multiple files; runs redis-server in isolation (Pieter Noordhuis)
2010-05-14 use DEBUG DIGEST in the test instead of a function that was doing a similar work, but in a much slower and buggy way (antirez)
2010-05-14 Don't rely on cliReadReply being able to return on shutdown (Bruno Deferrari)
2010-05-14 If command is a shutdown, ignore errors on reply (Bruno Deferrari)
2010-05-14 DEBUG DIGEST implemented, in order to improve the ability to test persistence and replication consistency (antirez)
2010-05-13 Add SIGTERM shutdown handling. (Ashley Martens)
2010-05-13 makefile deps updated (antirez)
2010-05-13 conflicts resolved (antirez)
2010-05-13 feed SETEX as SET and EXPIREAT to AOF (Pieter Noordhuis)
2010-05-13 very strong speedup in saving time performance when there are many integers in the dataset. Instead of decoding the object before to pass them to the rdbSaveObject layer we check asap if the object is integer encoded and can be written on disk as an integer. (antirez)
2010-05-13 include limits.h otherwise no double precison macros (antirez)
2010-05-13 explicitly checks with ifdefs if our floating point and long long assumptions are verified (antirez)
2010-05-13 Yet another version of the double saving code, with comments explaining what's happening there (antirez)
2010-05-12 added overflow check in the double -> long long conversion trick to avoid integer overflows. I think this was not needed in practical terms, but it is safer (antirez)
2010-05-12 use withscores when performing the dataset digest (antirez)
2010-05-12 If a float can be casted to a long long without rounding loss, we can use the integer conversion function to write the score on disk. This is a seriuous speedup (antirez)
2010-05-12 fixed compilation warnings in the AOF sanity check tool (antirez)
2010-05-12 Merge branch 'vm-speedup' (antirez)
2010-05-11 fix to return error when calling INCR on a non-string type (Pieter Noordhuis)
2010-05-11 load objects encoded from disk directly without useless conversion (antirez)
2010-05-11 fixed a problem leading to crashes, as keys can't be currently specially encoded, so we can't encode integers at object loading time... For now this can be fixed passing a few flags, or later can be fixed allowing encoded keys as well (antirez)
2010-05-11 long long to string conversion speedup applied in other places as well. Still the code has bugs, fixing right now... (antirez)
2010-05-11 hand written code to turn a long long into a string -> very big speed win (antirez)
2010-05-11 added specialized function to compare string objects for perfect match that is optimized for this task (antirez)
2010-05-11 better use of encoding inforamtion in dictEncObjKeyCompare (antirez)
2010-05-10 CONFIG now can change appendfsync policy at run time (antirez)
2010-05-10 CONFIG command now supports hot modification of RDB saving parameters. (antirez)
2010-05-10 while loading the rdb file don't add the key to the dictionary at all if it's already expired, instead of removing it just after the insertion. (antirez)
2010-05-10 Merge branch 'check-aof' of git://github.com/pietern/redis (antirez)
2010-05-08 minor changes to improve code readability (antirez)
2010-05-08 swap objects out directly while loading an RDB file if we detect we can't stay in the vm max memory limits anyway (antirez)
2010-05-07 change command names no longer used to zunion/zinter (Pieter Noordhuis)
2010-05-07 DEBUG POPULATE command for fast creation of test databases (antirez)
2010-05-07 update TODO (Pieter Noordhuis)
2010-05-07 swap arguments in blockClientOnSwappedKeys to be consistent (Pieter Noordhuis)
2010-05-07 added function that preloads all keys needed to execute a MULTI/EXEC block (Pieter Noordhuis)
2010-05-07 add sanity check to zunionInterBlockClientOnSwappedKeys, as the number of keys used is provided as argument to the function (Pieter Noordhuis)
2010-05-07 make prototype of custom function to preload keys from the vm match the prototype of waitForMultipleSwappedKeys (Pieter Noordhuis)
2010-05-07 extract preloading of multiple keys according to the command prototype to a separate function (Pieter Noordhuis)
2010-05-07 make append only filename configurable (Pieter Noordhuis)
2010-05-07 don't load value from VM for EXISTS (Pieter Noordhuis)
2010-05-07 swap file name pid expansion removed. Not suited for mission critical software... (antirez)
2010-05-07 Swap file is now locked (antirez)
2010-05-06 Merge branch 'master' into aof-speedup (antirez)
2010-05-06 log error and quit when the AOF contains an unfinished MULTI (antirez)
2010-05-06 log error and quit when the AOF contains an unfinished MULTI (Pieter Noordhuis)
2010-05-06 Merge branch 'master' into check-aof (Pieter Noordhuis)
2010-05-06 hincrby should report an error when called against a hash key that doesn't contain an integer (Pieter Noordhuis)
2010-05-06 AOF writes are now accumulated into a buffer and flushed into disk just before re-entering the event loop. A lot less writes but still this guarantees that AOF is written before the client gets a positive reply about a write operation, as no reply is trasnmitted before re-entering into the event loop. (antirez)
2010-05-06 clarified a few messages in redis.conf (antirez)
2010-05-05 ask for confirmation before AOF is truncated (Pieter Noordhuis)
2010-05-05 str can be free'd outside readString (Pieter Noordhuis)
2010-05-05 moved argument parsing around (Pieter Noordhuis)
2010-05-05 ignore redis-check-aof binary (Pieter Noordhuis)
2010-05-05 allow AOF to be fixed by truncating to the portion of the file that is valid (Pieter Noordhuis)
2010-05-05 tool to check if AOF is valid (Pieter Noordhuis)
2010-05-02 included fmacros.h in linenose.c to avoid compilation warnings on Linux (antirez)
2010-05-02 compilation fix for mac os x (antirez)
2010-05-02 Merge branch 'master' of git@github.com:antirez/redis (antirez)
2010-05-02 On Linux now fdatasync() is used insetad of fsync() in order to flush the AOF file kernel buffers (antirez)
2010-04-30 More tests for APPEND and tests for SUBSTR (antirez)
2010-04-30 linenoise.c updated, now redis-cli can be used in a pipe (antirez)
2010-04-29 redis-cli minor fix (less segfault is better) (antirez)
2010-04-29 New MONITOR output format with timestamp, every command in a single line, string representations (antirez)
2010-04-29 redis-cli INFO output format is now raw again (antirez)
2010-04-29 Added more information about slave election in Redis Cluster alternative doc (antirez)
2010-04-29 Redis cluster version 2 (antirez)
2010-04-27 Fixed a redis-cli bug, was using free instead of zfree call (antirez)
2010-04-27 AOF is now rewritten on slave after SYNC with master. Thanks to @_km for finding this bug and any others' (antirez)
2010-04-27 redis-cli is now using only the new protocol (antirez)
2010-04-27 Minimal support for subscribe/psubscribe in redis-cli (antirez)
2010-04-26 don't output the newline when stdout is not a tty (antirez)
2010-04-26 redis-cli now is able to also output the string representation instead of the raw string. Much better for debugging (antirez)
2010-04-26 Initial support for quoted strings in redis-cli (antirez)
2010-04-23 SETEX implemented (antirez)
2010-04-23 Pub/Sub API change: now messages received via pattern matching have a different message type and an additional field representing the original pattern the message matched (antirez)
2010-04-22 typo fixed, reloaded (antirez)
2010-04-22 typo fixed (antirez)
2010-04-22 REDIS-CLUSTER doc updated (antirez)
2010-04-22 Virtual memory design document removed, no longer needed as we have a full specification and implementation (antirez)
2010-04-22 new units for bytes specification (antirez)
2010-04-22 Now in redis.conf it is possible to specify units where appropriate instead of amounts of bytes, like 2Gi or 4M and so forth (antirez)
2010-04-21 binary safe keys ready implementation of RANDOMKEYS (antirez)
2010-04-21 Now that's the right 1.3.10 (antirez)
2010-04-21 Revert "fsync always now uses O_DIRECT on Linux" (antirez)
2010-04-21 Revert "define __USE_GNU to get O_DIRECT" (antirez)
2010-04-21 Merge branch 'master' of github.com:antirez/redis (antirez)
2010-04-21 Revert "version 1.3.10" (antirez)
2010-04-21 version 1.3.10 (antirez)
2010-04-20 define __USE_GNU to get O_DIRECT (antirez)
2010-04-20 fsync always now uses O_DIRECT on Linux (antirez)
2010-04-20 More precise memory used guesswork in zmalloc.c (antirez)
2010-04-19 Fix for MULTI/EXEC and Replication/AOF: now the block is correctly sent as MULTI/..writing operations../EXEC. Ok for slaves but more work needed for the AOF as it should be a write-all-or-nothing business (antirez)
2010-04-19 running the test using tcl8.5 directly instead of tclsh that too often it's a symlink to 8.4 (antirez)
2010-04-19 Added package require Tcl 8.5 in redis.tcl so it will show a clear error when the test suit is attempted to run under 8.4 (antirez)
2010-04-18 Fix for a SORT bug introduced with commit 16fa22f1, regression test added (antirez)
2010-04-18 Guru mediation -> meditation (antirez)
2010-04-16 check eptr inline (Pieter Noordhuis)
2010-04-16 refactor code that retrieves value from object or replies to client (Pieter Noordhuis)
2010-04-17 Merge branch 'hash' of git://github.com/pietern/redis (antirez)
2010-04-17 redisAssert(0) => redisPanic("something meaningful") (antirez)
2010-04-17 make sure that the resulting value in hincrby is encoded when possible (Pieter Noordhuis)
2010-04-17 increment dirty counter after hmset (Pieter Noordhuis)
2010-04-17 strip tryObjectEncoding from hashSet, to enable the arguments being encoded in-place (Pieter Noordhuis)
2010-04-17 Added support for Guru Mediation, and raising a guru mediation if refCount <= 0 but decrRefCount is called against such an object (antirez)
2010-04-16 fix small error and memory leaks in SORT (Pieter Noordhuis)
2010-04-16 SORT/GET test added (antirez)
2010-04-16 Added tests for GET/BY against hashes fields (antirez)
2010-04-16 Merge branch 'hash-refactor' of git://github.com/pietern/redis (antirez)
2010-04-16 check object type in lookupKeyByPattern (Pieter Noordhuis)
2010-04-16 make sortCommand aware that lookupKeyByPattern always increased the refcount of the returned value (Pieter Noordhuis)
2010-04-16 revert 0c390a to stop using tricks with o->refcount (Pieter Noordhuis)
2010-04-16 store the hash iterator on the heap instead of the stack (Pieter Noordhuis)
2010-04-16 drop inline directive (Pieter Noordhuis)
2010-04-16 rename hashReplace to hashSet (Pieter Noordhuis)
2010-04-16 added dictFetchValue() to dict.c to make hash table API a bit less verbose in the common cases (antirez)
2010-04-03 Don't set expire to keys with ttl=0, remove them immediately. (antirez)
2010-04-15 make sure that cmpobj is in decoded form when sorting by ALPHA (this solves edge case from previous commit where (!sortby && alpha) == 1) (Pieter Noordhuis)
2010-04-15 enable hash dereference in SORT on BY and GET (Pieter Noordhuis)
2010-04-15 use shared replies for hset (Pieter Noordhuis)
2010-04-15 set refcount of string objects retrieved from zipmaps to 0, so we don't have to touch the refcount of the objects inside dicts (Pieter Noordhuis)
2010-04-15 added HSETNX (Pieter Noordhuis)
2010-04-14 refactor of hash commands to use specialized api that abstracts zipmap and dict apis (Pieter Noordhuis)
2010-04-13 move retrieval of long up to prevent an empty hash from being created (Pieter Noordhuis)
2010-04-15 more advanced leaks detection in test redis (antirez)
2010-04-15 ability to select port/host from make test (antirez)
2010-04-15 Active rehashing (antirez)
2010-04-15 Incrementally rehahsing hash table! Thanks to Derek Collison and Pieter Noordhuis for feedbacks/help (antirez)
2010-04-14 Does not allow commands other than Pub/Sub commands when there is at least one pattern (antirez)
2010-04-13 Fixed a tiny memory leak when loading the configuration file. (Alex McHale)
2010-04-13 Merge branch 'hmget' of git://github.com/pietern/redis (antirez)
2010-03-29 Validate numeric inputs. (Alex McHale)
2010-03-24 Remove trailing whitespace. (Alex McHale)
2010-04-12 Now all the commands returning a multi bulk reply against non existing keys will return an empty multi bulk, not a nil one (antirez)
2010-04-12 implemented HMGET (Pieter Noordhuis)
2010-04-12 implemented HMSET (Pieter Noordhuis)
2010-04-12 Sharing of small integer objects: may save a lot of memory with datasets having many of this (antirez)
2010-04-10 dict.c fixed to play well with enabling/disabling of the hash table (antirez)
2010-04-09 removed a no longer true assert in the VM code (antirez)
2010-04-09 shareobjects feautres killed - no gains most of the time, but VM complexities (antirez)
2010-04-09 use directly the real key object in VM I/O jobs to match by pointer, and to handle different keys with the same name living in different DBs, but being at the same moment in the IO job queues (antirez)
2010-04-08 last change reverted as it was unstable... more testing needed (antirez)
2010-04-08 Prevent hash table resize while there are active child processes in order to play well with copy on write (antirez)
2010-04-08 Merge branch 'issue_218' of git://github.com/pietern/redis (antirez)
2010-04-08 -1 not needed... (antirez)
2010-04-08 Skiplist theoretical fix (antirez)
2010-04-07 Now when a child is terminated by a signal, the signal number is logged as well (antirez)
2010-04-07 First version of evented Redis Tcl client, that will be used for BLPOP and Pub/Sub tests (antirez)
2010-04-05 use long long reply type for HINCRBY (Pieter Noordhuis)
2010-04-05 last argument is never encoded for HINCRBY (Pieter Noordhuis)
2010-04-02 Now PUBLISH commands are replicated to slaves (antirez)
2010-04-01 use the right object when cleaning up after zunion/zinter (fixes issue 216) (Pieter Noordhuis)
2010-04-01 Merge branch 'zipmap' of git://github.com/pietern/redis (antirez)
2010-04-01 reduce code complexity because zipmapLen now is O(1) (Pieter Noordhuis)
2010-04-01 update the zipmap entry in-place instead of appending it (Pieter Noordhuis)
2010-04-01 updated zipmap documentation to match the implementation (Pieter Noordhuis)
2010-04-01 allow 4 free trailing bytes for each value (Pieter Noordhuis)
2010-04-01 Pub/Sub pattern matching capabilities (antirez)
2010-04-01 use function to determine length of a single entry (Pieter Noordhuis)
2010-03-31 Deny EXEC under out of memory (antirez)
2010-03-29 No timeouts nor other commands for clients in a Pub/Sub context (antirez)
2010-03-29 free hash table entries about no longer active classes, so that PUBSUB can be abused with millions of different classes (antirez)
2010-03-29 Fixed a refcount stuff leading to PUBSUB crashes (antirez)
2010-03-29 fmacros added to linenoise, avoiding all the nice warnings... (antirez)
2010-03-29 First pubsub fix (antirez)
2010-03-29 PUBSUB implemented (antirez)
2010-03-29 Redis version is now 1.3.8 (antirez)
2010-03-28 removed references in code to ZIPMAP_EMPTY (Pieter Noordhuis)
2010-03-28 use first byte of zipmap to store length (Pieter Noordhuis)
2010-03-28 implemented strategy that doesn't use free blocks in zipmaps (Pieter Noordhuis)
2010-03-26 Merge branch 'hincrby' of git://github.com/pietern/redis (antirez)
2010-03-26 removed unnecessary refcount increase that caused the HINCRBY memleak (Pieter Noordhuis)
2010-03-26 implements HINCRBY and tests (todo: find and fix small memleak) (Pieter Noordhuis)
2010-03-26 Removed a useless if spotted by Pieter Noordhuis (antirez)
2010-03-26 Fixed a critical replication bug: binary values issued with the multi bulk protocol caused a protocol desync with slaves. (antirez)
2010-03-24 Fixed the reply about denied  write commands under maxmemory reached condition: now the error will no longer lead to a client-server protocol desync (antirez)
2010-03-24 CONFIG command implemened -- just a start but already useful (antirez)
2010-03-24 redis-cli prompt is now redis> (antirez)
2010-03-23 with --help states that you can use - as config file name to feed config via stdin (antirez)
2010-03-23 New INFO field: expired_keys (antirez)
2010-03-23 the Cron timer function is now called 10 times per second instead of 1 time per second to make Redis more responsibe to BGSAVE and to delete expired keys more incrementally (antirez)
2010-03-23 Use linenoise for line editing on redis-cli. (Michel Martens)
2010-03-23 Fix authentication for redis-cli on non-interactive mode. (Michel Martens)
2010-03-23 key deletion on empty value fix + some refactoring (antirez)
2010-03-23 Empty value trigger key removal in all the operations (antirez)
2010-03-22 Merged gnrfan patches fixing issues 191, 193, 194 (antirez)
2010-03-22 Merge branch 'issue_193' of git://github.com/gnrfan/redis (antirez)
2010-03-22 Merge branch 'issue_191' of git://github.com/gnrfan/redis (antirez)
2010-03-22 Redis master version is now 1.3.7 (antirez)
2010-03-19 support for include directive in config parser (Jeremy Zawodny)
2010-03-19 Removed a stupid overriding of config values due to a wrong cut&paste (antirez)
2010-03-19 VM hash type swappability implemented. Handling of failed pthread_create() call. (antirez)
2010-03-19 Solving issue #191 on Google Code: -v and --version should print the version of Redis (Antonio Ognio)
2010-03-19 Solves issue #194 on Google Code: --help parameter to redis-srver prints the usage message (Antonio Ognio)
2010-03-19 Fixing issue 193 (Antonio Ognio)
2010-03-18 increment server.dirty on HDEL (antirez)
2010-03-18 Redis 1.3.6 (antirez)
2010-03-18 test-redis.tcl dataset digest function Hash support (antirez)
2010-03-18 zipmap fix for large values (antirez)
2010-03-18 Optimization fixed and re-activated (antirez)
2010-03-18 reverted an optimization that makes Redis not stable (antirez)
2010-03-18 Fixed redis-cli auth code (antirez)
2010-03-17 HDEL fix, an optimization for comparison of objects in hash table lookups when they are integer encoding (antirez)
2010-03-17 Version is now 1.3.5 (antirez)
2010-03-17 Merged Pietern patch for VM key args helper function. Fixed an obvious bug in the redis-cli passwd auth stuff (antirez)
2010-03-17 Merge branch 'aggregates' of git://github.com/pietern/redis (antirez)
2010-03-17 Added Authentication to redis-cli.c using -a switch Update usage fixed Makefile to delete redis-check-dump during make clean (root)
2010-03-17 HEXISTS and tests implemented (antirez)
2010-03-17 More hash tests (antirez)
2010-03-17 better HSET test (antirez)
2010-03-17 Fixed a bug in HSET, a memory leak, and a theoretical bug in dict.c (antirez)
2010-03-17 More Hash tests (antirez)
2010-03-13 added preloading keys from VM when using ZINTER or ZUNION (Pieter Noordhuis)
2010-03-13 added explicit AGGREGATE [SUM|MIN|MAX] option to ZUNION/ZINTER (Pieter Noordhuis)
2010-03-16 HGET fix for integer encoded field against zipmap encoded hash (antirez)
2010-03-16 zrevrank support in redis-cli (antirez)
2010-03-16 HKEYS / HVALS / HGETALL (antirez)
2010-03-16 Solved a memory leak with Hashes (antirez)
2010-03-15 pretty big refactoring (antirez)
2010-03-15 An interesting refactoring + more expressive internal API (antirez)
2010-03-15 Fixed the same problem in ZREVRANK (antirez)
2010-03-15 Fixed a ZRANK bug (antirez)
2010-03-15 zipmap to hash conversion in HSET (antirez)
2010-03-14 max zipmap entries and max zipmap value parameters added into INFO output (antirez)
2010-03-14 HDEL and some improvement in DEBUG OBJECT command (antirez)
2010-03-14 Append only file support for hashes (antirez)
2010-03-13 utility to check rdb files for unprocessable opcodes (Pieter Noordhuis)
2010-03-12 A minor fix and a few debug messages removed (antirez)
2010-03-12 Applied the replication bug patch provided by Jeremy Zawodny, removing temp file collision after the slave got the dump.rdb file in the SYNC stage (antirez)
2010-03-11 Fix for HGET against non Hash type, debug messages used to understand a bit better a corrupted rdb file (antirez)
2010-03-09 fix: use zmalloc instead of malloc (Pieter Noordhuis)
2010-03-09 Merged zsetops branch from Pietern (antirez)
2010-03-09 Merged ZREMBYRANK from Pietern (antirez)
2010-03-09 Merged ZREVRANK from Pietern (antirez)
2010-03-09 use a struct to store both a dict and its weight for ZUNION and ZINTER, so qsort can be applied (Pieter Noordhuis)
2010-03-09 Hash auto conversion from zipmap to hash table, type fixed for hashes, hash loading from disk (antirez)
2010-03-09 replaced ZMERGE by ZUNION and ZINTER. note: key preloading by the VM does not yet work (Pieter Noordhuis)
2010-03-08 Hashes saving / fixes (antirez)
2010-03-08 use ZMERGE as starting point (Pieter Noordhuis)
2010-03-07 HSET fixes, now the new pointer is stored back in the object pointer field (antirez)
2010-03-07 added ZREVRANK (Pieter Noordhuis)
2010-03-06 Fix for replicaiton with over 2GB dump file initial SYNC stage (antirez)
2010-03-06 first implementation of HSET/HSET. More work needed (antirez)
2010-03-05 zipmaps functions to get, iterate, test for existence. Initial works for Hash data type (antirez)
2010-03-04 redis-benchmark now implements Set commands benchmarks (antirez)
2010-03-04 zipmap iteration code (antirez)
2010-03-04 moved code to delete a single node from a zset to a separate function (Pieter Noordhuis)
2010-03-04 rename zslDeleteRange to zslDeleteRangeByScore (to differentiate between deleting using score or rank) (Pieter Noordhuis)
2010-03-04 use 1-based rank across zsl*Rank functions consistently (Pieter Noordhuis)
2010-03-04 implemented ZREMBYRANK (Pieter Noordhuis)
2010-03-04 A fix for initialization of augmented skip lists (antirez)
2010-03-04 A fix for an invalid access when VM is disabled (antirez)
2010-03-04 Merge branch 'zsl-get-rank' of git://github.com/pietern/redis (antirez)
2010-03-04 redis-cli now runs in interactive mode if no command is provided (antirez)
2010-03-04 merged memory reduction patch (Pieter Noordhuis)
2010-03-04 Now list push commands return the length of the new list, thanks to Gustavo Picon (antirez)
2010-03-04 first check if starting point is trivial (head or tail) before applying log(N) search (Pieter Noordhuis)
2010-03-04 use rank to find starting point for ZRANGE and ZREVRANGE (Pieter Noordhuis)
2010-03-04 lookup rank of a zset entry in a different function (Pieter Noordhuis)
2010-03-04 SUBSTR fix for integer encoded vals (antirez)
2010-03-04 fix ZRANK (realize that rank is 1-based due to the skip list header) (Pieter Noordhuis)
2010-03-03 initial implementation of SUBSTR (antirez)
2010-03-03 TODO updated (antirez)
2010-03-03 fpurge call removed from redis-cli (antirez)
2010-03-03 ZRANK stress tester (antirez)
2010-03-03 use less memory as element->span[0] will always be 1; any level 0 skip list is essentially a linked list (Pieter Noordhuis)
2010-03-03 rank is very unlikely to overflow integer range (Pieter Noordhuis)
2010-03-03 x->backward never equals zsl->header (Pieter Noordhuis)
2010-03-03 initial implementation for augmented zsets and the zrank command (Pieter Noordhuis)
2010-03-03 zipampDel() implemented (antirez)
2010-03-03 added quit and exit commands to redis-cli in order to quit the interactive mode (antirez)
2010-03-03 Merge remote branch 'djanowski/interactive' (antirez)
2010-03-02 Add support for MULTI/EXEC. (Damian Janowski & Michel Martens)
2010-03-02 Remove trailing newline in interactive mode. (Damian Janowski & Michel Martens)
2010-03-02 minor fix for a Linux warning (antirez)
2010-03-02 Add interactive mode to redis-cli. (Michel Martens & Damian Janowski)
2010-03-02 Better to increment the version minor number when a VM bug is fixed... it will be simpler to understand what's going on when users will report problems with the INFO trace. (antirez)
2010-03-02 Fixed a subtle VM bug... was not flushing the buffer so the child process read truncated data (antirez)
2010-03-01 KEYS now returns a multi bulk reply (antirez)
2010-02-27 Add DISCARD command to discard queued MULTI commands. (antirez)
2010-03-01 Swappability bug due to a typo fixed thanks to code review by Felix Geisendörfer @felixge (antirez)
2010-02-28 minor fixes for zipmap.c (antirez)
2010-02-27 first zipmap fix of a long sequence in the days to come ;) (antirez)
2010-02-27 initial zipmap.c implementation (antirez)
2010-02-27 Bug #169 fixed (BLOP/BRPOP interrupted connections are not cleared from the queue) (antirez)
2010-02-22 Fixed 32bit make target to work on Linux out of the box (antirez)
2010-02-19 A problem with replication with multiple slaves connectiong to a single master fixed. It was due to a typo, and reported on github by the user micmac. Also the copyright year fixed from many files. (antirez)
2010-02-10 Saner VM defaults for redis.conf (antirez)
2010-02-09 VM now is able to block clients on swapped keys for all the commands (antirez)
2010-02-07 ZCOUNT and ZRANGEBYSCORE new tests (antirez)
2010-02-07 ZRANGEBYSCORE now supports open intervals, prefixing double values with a open paren. Added ZCOUNT that can count the elements inside an interval of scores, this supports open intervals too (antirez)
2010-02-07 WITHSCORES in ZRANGEBYSCORE thanks to Sam Hendley (antirez)
2010-02-06 Added "withscores" option to zrangebyscore command. Based on withscores support in zrange function, ugliest part was the argument parsing to handle using it with the limit option. (Sam Hendley)
2010-02-06 DEBUG OBJECT provide info about serialized object length even when VM is disabled (antirez)
2010-02-06 multi bulk requests in redis-benchmark, default fsync policy changed to everysec, added a prefix character for DEBUG logs (antirez)
2010-02-04 APPEND tests (antirez)
2010-02-04 APPEND command (antirez)
2010-02-02 Faster version of the function hashing possibly encoded objects, leading to a general speed gain when working with Sets of integers (antirez)
2010-02-02 faster Set loading time from .rdb file resizing the hash table to the right size before loading elements (antirez)
2010-02-02 Log time taken to load the DB at startup, in seconds (antirez)
2010-01-31 Fixed VM corruption due to child fclosing the VM file directly or indirectly calling exit(), now replaced with _exit() in all the sensible places. Masked a few signals from IO threads. (antirez)
2010-01-28 loading side of the threaded VM (antirez)
2010-01-26 TODO cahnges (antirez)
2010-01-23 Fixed memory human style memory reporting, removed server.usedmemory, now zmalloc_used_memory() is used always. (antirez)
2010-01-22 VM tuning thanks to redis-stat vmstat. Now it performs much better under high load (antirez)
2010-01-21 Changelog updated (antirez)
2010-01-21 REDIS_MAX_COMPLETED_JOBS_PROCESSED is now in percentage, not number of jobs. Moved a debugging message a few lines forward as it was called where a few logged parameters where invalid, leading to a crash (antirez)
2010-01-20 fixed a deadlock caused by too much finished processes in queue so that I/O clients writing to the wirte side of the pipe used to awake the main thread where blocking. Then a BGSAVE started waiting for the last active thread to finish, condition impossible because all the I/O threads where blocking on threads. Takes this as a note to myself... (antirez)
2010-01-20 ae.c event loop does no longer support exception notifications, as they are fully pointless. Also a theoretical bug that never happens in practice fixed. (antirez)
2010-01-19 commercial tools stuff removed from the Redis makefile. cotools are now migrated into a different repos (antirez)
2010-01-19 removed a bug in the function to cancel an I/O job (antirez)
2010-01-17 static symbols update (antirez)
2010-01-16 removed support for REDIS_HELGRIND_FRIENDLY since Helgrind 3.5.0 is friendly enough even with many threads created and destroyed (antirez)
2010-01-15 now redis-cli understands -h (antirez)
2010-01-15 Create swap file only if not exists (antirez)
2010-01-15 I hate warnings (antirez)
2010-01-15 fixed a minor memory leak in configuration file parsing (antirez)
2010-01-15 minor fix (antirez)
2010-01-15 support for named VM swap file. Fixed a few important interaction issues between the background saving processes and IO threads (antirez)
2010-01-15 fix for the just added new test (antirez)
2010-01-15 useless debugging messages removed (antirez)
2010-01-15 new test added (antirez)
2010-01-15 thread safe zmalloc used memory counter (antirez)
2010-01-15 A define to make Redis more helgrind friendly (antirez)
2010-01-15 removed a few races from threaded VM (antirez)
2010-01-14 Fixed a never experienced, theoretical bug that can actually happen in practice. Basically when a thread is working on a I/O Job we need to wait it to finish before to cancel the Job in vmCancelThreadedIOJob(), otherwise the thread may mess with an object that is being manipulated by the main thread as well. (antirez)
2010-01-14 Set the new threads stack size to a LZF friendly amount (antirez)
2010-01-13 access to already freed job structure fixed by statements reoredering (antirez)
2010-01-13 removed a useless debugging message (antirez)
2010-01-13 Wait zero active threads condition before to fork() for BGSAVE or BGREWRITEAOF (antirez)
2010-01-13 list API is now thread safe (antirez)
2010-01-13 minor TODO and debugging info changes (antirez)
2010-01-12 support for blocking VM in config file (antirez)
2010-01-12 more non blocking VM changes (antirez)
2010-01-12 fix for test #11 (antirez)
2010-01-12 a few more stuff in INFO about VM. Test #11 changed a bit in order to be less lame (antirez)
2010-01-12 Added a define to configure how many completed IO jobs the handler should process at every call. (antirez)
2010-01-11 Fixed a bug in the IO Job canceling funtion (antirez)
2010-01-11 more steps towards a working non blocking VM (antirez)
2010-01-11 converted random printfs in debug logs (antirez)
2010-01-11 removed a bug introduced with non blocking VM (antirez)
2010-01-11 a few non blocking VM bugs fixed (antirez)
2010-01-11 More work on non-blocking VM. Should work in a few days (antirez)
2010-01-11 More threaded I/O VM work + Redis init script (antirez)
2010-01-10 more work on VM threaded I/O. Still nothing of usable (antirez)
2010-01-09 non-blocking VM data structures, just a start (antirez)
2010-01-08 used_memory_human added to INFO output. Human readable amount of memory used. (antirez)
2010-01-07 Now DEBUG OBJECT plays well with swapped out objects (antirez)
2010-01-07 fflush VM swap file after object swapping (antirez)
2010-01-07 added the fmacros to enable support for fseeko() lseeko() with 64bit off_t (antirez)
2010-01-07 VM now swaps objects out while loading datasets not fitting into vm-max-memory bytes of RAM (antirez)
2010-01-07 added process id information in INFO (antirez)
2010-01-06 vm-enabled set to no by default in redis.conf (antirez)
2010-01-06 a new default redis.conf (antirez)
2010-01-06 VM stats in INFO command (antirez)
2010-01-06 Introduced a new log verbosity level, so now DEBUG is really for debugging. Refactored a bit maxmemory. When virtual memory is short in RAM free the objects freelist as well as swapping things out. (antirez)
2010-01-05 fixed a bug in bgsave when VM is off but still it was testing for obj->storage field (antirez)
2010-01-05 converted a few calls to assert() => redisAssert() to print stack trace (antirez)
2010-01-05 BGREWRITEAOF now works with swapping on (antirez)
2010-01-05 A first fix for SET key overwrite (antirez)
2010-01-05 SAVE now works with VM (antirez)
2010-01-05 swapping algorithm a bit more aggressive under low memory (antirez)
2010-01-05 basic VM mostly working! (antirez)
2010-01-05 New object field (one of the unused bytes) to hold the type of the swapped out value object in key objects (antirez)
2010-01-05 VM internals bugfixes, set 1 (antirez)
2010-01-05 load key from swap on key lookup (antirez)
2010-01-05 more object-level VM primitives (antirez)
2010-01-05 Redis objects swapping / loading (antirez)
2010-01-05 rdbLoadObject() as a separated function to load objects from disk. Dropped support for RDB version 0, I guess no longer has this legacy DBs around (antirez)
2010-01-04 VM low level pages handling (antirez)
2010-01-04 vm swap file creation, and some basic configuration (antirez)
2010-01-04 version marked 1.3.2 (antirez)
2010-01-04 saving code refactored a bit, added a function returning the number of bytes an object will use on disk (antirez)
2010-01-02 Now the PUSH side of RPOPLPUSH is able to unblock clients blocked on BLPOP (antirez)
2010-01-02 Version is now 1.3.1 (antirez)
2010-01-02 New vararg BLPOP able to block against multiple keys (antirez)
2009-12-29 fixed a problem with BLPOP timeout of zero, now it blocks forever (antirez)
2009-12-29 BLPOP timeouts implemented (antirez)
2009-12-29 first working implementation of BLPOP and BRPOP, still everything is to test well (antirez)
2009-12-29 a few more fixes, still broken (antirez)
2009-12-29 First fix, still broken (antirez)
2009-12-29 minor fix for Linux 64 bit (antirez)
2009-12-29 not yet working BLPOP implementation (antirez)
2009-12-27 AOFSYNC removed, got a better idea... (antirez)
2009-12-27 AOFSYNC command implemented (antirez)
2009-12-27 Version changed to 1.3.0, welcome to the new unstable (antirez)
2009-12-27 Now MULTI returns +OK as well (antirez)
2009-12-27 MULTI/EXEC first implementation (antirez)
2009-12-24 Fixed a minor bug in GETSET, now the SET part is not performed if the GET fails because the key does not contain a string value (antirez)
2009-12-23 html doc readded (antirez)
2009-12-23 ZRANGE WITHSCORES test added (antirez)
2009-12-23 version is now 1.1.94 (antirez)
2009-12-23 Add the command name in the unknown command error message. (antirez)
2009-12-22 ZRANGE, ZREVRANGE now support WITHSCORES options (antirez)
2009-12-22 html docs update (ZINCRBY added) (antirez)
2009-12-18 TODO list update (antirez)
2009-12-18 the pipelining test was ran against DB 1 for error, now it runs on DB 9 like all the other tests (antirez)
2009-12-18 still more tests (antirez)
2009-12-18 SORT STORE test added (antirez)
2009-12-18 Now SORT returns an empty bulk reply if the key does not exist (antirez)
2009-12-18 modified a bit the ZREVRANGE test to cover a few lines of code more (antirez)
2009-12-18 SHUTDOWN now does the right thing when append only is on, that is, fsync instead to save the snapshot. (antirez)
2009-12-18 Added a missing server.dirty increment in a non critical place, added more tests (antirez)
2009-12-18 LTRIM stress testing test added (antirez)
2009-12-18 LTRIM now returns +OK against non existing keys. More tests in test-redis.tcl (antirez)
2009-12-18 added sdstoupper() declaration in sds.h (antirez)
2009-12-18 Fixed sds.c bug #124 (antirez)
2009-12-16 LZF compression re-enabled by default, but with INIT_HTAB set to 0 to avoid the very costly memset initialization. Note that with this option set valgrind will output some false positive about lzf_c.c (antirez)
2009-12-16 lzf compression switched off by default now, with config file option to enable it in redis.conf (antirez)
2009-12-16 Regression for epoll bug in redis-test.tcl, version is now 1.1.93 (antirez)
2009-12-16 Fixed a lame epoll issue (antirez)
2009-12-15 html doc updated (antirez)
2009-12-15 version is now 1.1.92 (antirez)
2009-12-15 Two important fixes to append only file: zero length values and expires. A pretty neat new test to check consistency of randomly build datasets against snapshotting and AOF. (antirez)
2009-12-15 debug loadaof implemented in order to add more consistency tests in test-redis.tcl (antirez)
2009-12-15 Added a new test able to stress a lot the snapshotting engine (antirez)
2009-12-15 Unified handling of empty queries with normal queries. (antirez)
2009-12-15 Fixed some subtle bug in the command processing code almost impossible to spot in the real world, thanks to gcov (antirez)
2009-12-15 Regression test for SINTERSTORE added (antirez)
2009-12-15 Fixed issue #121 (antirez)
2009-12-14 a few more tests and ability to run a specific test in test-redis.tcl (antirez)
2009-12-13 Changed the reply of BGSAVE and BGREWRITEAOF from +OK to a more meaningful message that makes the user aware of an operation that just started and is not yet finished. (antirez)
2009-12-13 Set the master->slave logical client as authenticated on creation, so that if the slave requires a password replication works anyway (antirez)
2009-12-13 TODO update (antirez)
2009-12-12 bgrewriteaof_in_progress added to INFO (antirez)
2009-12-12 TODO list modified. What's planned for 1.4 is now written in the stone ;) (antirez)
2009-12-12 better handling of non blocking connect on redis-benchmark: EPIPE on read does not print an error message now (antirez)
2009-12-11 some change to redis-sha1.rb utility to make it more robust against non-meaningful changes in the dataset (antirez)
2009-12-10 redis-sha1.rb utility updated (antirez)
2009-12-10 a bit more verbose -ERR wrong number o arguments error, now gives info about the command name causing the error (antirez)
2009-12-10 TODO change and minor SETNX optimization (antirez)
2009-12-06 in rdbLoadDoubleValue now the buffer is nul terminated correctly. Thanks valgrind. (antirez)
2009-12-06 printf format warnings fixed by casting (antirez)
2009-12-06 Regression tests for SETNX and MSETNX bugs added (antirez)
2009-12-06 SETNX and MSETNX now respect the delete-on-write operation of EXPIREing keys (antirez)
2009-12-06 Fixed daemonization when using kqueue/kevent. Now the server initialization is performed *after* the daemonization (antirez)
2009-12-05 more HTML doc changes (antirez)
2009-12-05 HTML doc update (antirez)
2009-12-05 a few redis-cli format specified fixed (antirez)
2009-12-05 use __attribute__ format in sdscatprintf() when the compiler is GCC. Fixed format bugs resulting from the new warnings. (antirez)
2009-12-01 TODO update (antirez)
2009-12-01 compilation problem on 64bit mac os x 10.5 possibly fixed (antirez)
2009-12-01 virtual memory design doc typos (antirez)
2009-12-01 design documents added to the project (antirez)
2009-11-30 Fixed issued #85 (getDecodedObject: Assertion 1 != 1 failed. While sorting a set), added a smarter assert() function to dump the stacktrace, provided a macro to initalize Redis objects on the stack to avoid this kind of bugs. (antirez)
2009-11-30 fixed a subtle bug in redis-cli not having visible effects (antirez)
2009-11-29 TODO updated (antirez)
2009-11-29 Version chagned to 1.100, also known as the first first 2.0 beta version (antirez)
2009-11-29 more tests in test-redis.tcl, some minor fix (antirez)
2009-11-29 SORT support for sorted sets (antirez)
2009-11-28 Implemented LIMIT option in ZRANGEBYSCORE. We now enter feature-freeze (antirez)
2009-11-28 Changelog updated (antirez)
2009-11-28 html doc updated (antirez)
2009-11-28 enable kqueue/kevent only for Mac OS X 10.6.x as it seems that 10.5.x has a broken implementation of this syscalls. (antirez)
2009-11-28 TODO updated (antirez)
2009-11-28 ZRANGEBYSCORE fuzzy test (antirez)
2009-11-28 ZRANGEBYSCORE memory leak fixed, ZRANGEBYSCORE initial test added (antirez)
2009-11-28 INFO refactored. Stack trace on memory corruption now dumps the same information as the INFO command (antirez)
2009-11-28 ifdefs added to use kevent on Free Open and Net BSD as well. INFO and ae.c modified in order to report the multiplexing API in use (antirez)
2009-11-28 Enabled object encoding for multiple keys in MSET. Added a test for memory leaks in test-redis.tcl when running on Mac OS X (antirez)
2009-11-28 Merge branch 'kqueue' of git://github.com/mallipeddi/redis (antirez)
2009-11-28 Changes to TODO list, commented a function in redis.c (antirez)
2009-11-28 Added support for kqueue. (Harish Mallipeddi)
2009-11-27 TODO updated (antirez)
2009-11-26 zero length bulk data reading fixed in loadAppendOnlyFile() (antirez)
2009-11-26 append only file fixes (antirez)
2009-11-26 log rebuilding, random refactoring, work in progress please wait for an OK commit before to use this version (antirez)
2009-11-24 DEBUG RELOAD implemented, and test-redis.tcl modified to use it to check for persistence consistency. (antirez)
2009-11-24 Redis version set to 1.07 (antirez)
2009-11-24 sorted sets saving fixed (antirez)
2009-11-24 minor TODO change (antirez)
2009-11-24 minor fix to avoid a false valgrind warning. (antirez)
2009-11-23 epoll support enabled by default for Linux builds (antirez)
2009-11-23 epoll module for ae.c implemented. Some more testing needed (antirez)
2009-11-23 commented the HAVE_EPOLL test in config.h to allow compilation under Linux now that the epoll module is still missing (antirez)
2009-11-23 ae_select module added (antirez)
2009-11-23 ae.c now supports multiple polling API modules, even if only ae_select.c is implemented currently. Also adding and removing an event is now O(1). (antirez)
2009-11-23 ae.c initial refactoring for epoll implementation (antirez)
2009-11-21 version incremented up to 1.06 (antirez)
2009-11-21 TODO aesthetic changes (antirez)
2009-11-21 TODO updated with plans up to 1.5 (antirez)
2009-11-21 SRANDMEMBER test (antirez)
2009-11-21 Fixed a SORT memory leak that should never happen in practice (antirez)
2009-11-21 SORT GET # implemented, with a test (antirez)
2009-11-21 EXPIREAT test (antirez)
2009-11-20 EXPIRE tests (antirez)
2009-11-20 more RPOPLPUSH tests (antirez)
2009-11-20 RPOPLPUSH tests added (antirez)
2009-11-20 ZINCRBY return value fixed (antirez)
2009-11-20 ZINCRSCOREBY => ZINCRBY (antirez)
2009-11-19 ZINCRSCOREBY implemented (antirez)
2009-11-19 writev() finally uncommented again (antirez)
2009-11-19 redis-benchmark hopefully last bug with multi bulk reply fixed (antirez)
2009-11-19 debug mode in redis-bench (antirez)
2009-11-19 Use writev(2) if glue output buffers is disabled (antirez)
2009-11-19 benchmark.c fixes (antirez)
2009-11-18 more experiments with long replies, glue output buffer, and writev. (antirez)
2009-11-18 benchmarking with different number of LRANGE elements. Ability to change the glue output buffer limit by #define (antirez)
2009-11-18 more writev tests/work (antirez)
2009-11-18 redis-benchmark multi bulk reply support hopefully fixed (antirez)
2009-11-17 support for writev implemented but currently ifdef-ed in order to understan why I can't see the improvements expected. Btw code provided by Stefano Barbato (antirez)
2009-11-17 multi-bulk reply support for redis-bench, and as a result LRANGE is not tested, providing some number for the tuning of multi-bulk requests performances server-side (antirez)
2009-11-12 Solaris fix thanks to Alan Harder (antirez)
2009-11-12 Merge git://github.com/ianxm/redis (antirez)
2009-11-12 ZSCORE fixed, now returns NULL on missing key or missing element (antirez)
2009-11-12 Redis test will not fail the SAVE test even if a background save is in progress (antirez)
2009-11-12 LPOPPUSH renamed into RPOPLPUSH (antirez)
2009-11-11 can select db num (ian)
2009-11-11 Workaround for test-redis.tcl and Tcl 8.4.x about ZSCORE test (antirez)
2009-11-11 Removed a long time warning compiling with recent GCC on Linux (antirez)
2009-11-11 TODO updated (antirez)
2009-11-11 LPUSHPOP first implementation (antirez)
2009-11-10 Tcl script, make target, and redis.c changes to build the static symbol table automagically (antirez)
2009-11-10 Implemented a much better lazy expiring algorithm for EXPIRE (antirez)
2009-11-10 Fixed issue 92 in redis: redis-cli (nil) return value lacks CR/LF (antirez)
2009-11-10 Minor TODO change with new expiring algorithm description. New expiring algorithm moved since it'll go in 1.1 (antirez)
2009-11-04 redis-test is now a better Redis citizen, testing everything against DB 9 and 10 and only if this DBs are empty. (antirez)
2009-11-04 fixed a refcounting bug with SORT ... STORE leading to random crashes (root)
2009-11-04 masterauth option merged, thanks to Anthony Lauzon (antirez)
2009-11-03 ZSets double to string serialization fixed (antirez)
2009-11-03 client-libraries directory readded (antirez)
2009-11-03 redis.tcl put at toplevel since it's uesd for the test-redis.tcl script (antirez)
2009-11-03 client libs removed from Redis git (antirez)
2009-11-03 redis-cli now accepts a -r (repeat) switch. Still there is a memory leaks to fix (antirez)
2009-11-01 TODO updated again (antirez)
2009-11-01 TODO updated (antirez)
2009-11-01 redis-cli now makes clear when the returned string is an integer (antirez)
2009-11-01 SORT STORE option (antirez)
2009-11-01 now Redis prints DB stats just after the startup without to wait a second for the first report (antirez)
2009-11-01 another fix for append only mode, now read-only operations are not appended (antirez)
2009-11-01 appendfsync parsing in config file fixed. If you benchmarked Redis against different appendfsync options is time to try again ;) (antirez)
2009-11-01 append only file loading fixed (antirez)
2009-11-01 first version of append only file loading -- STILL BROKEN don't use it (antirez)
2009-10-31 Fixed Issue 83:Using TYPE on a zset results in a malformed response from the Redis server (antirez)
2009-10-31 Fixed compilation on Linux (antirez)
2009-10-30 append only mode is now able to translate EXPIRE into EXPIREAT transparently (antirez)
2009-10-30 appendfsync is now set to NO by default (antirez)
2009-10-30 support for appendonly mode no, always, everysec (antirez)
2009-10-30 first fix for append only mode (antirez)
2009-10-30 Initial implementation of append-only mode. Loading still not implemented. (antirez)
2009-10-30 EXPIRE behaviour changed a bit, a negative TTL or an EXPIREAT with unix time in the past will now delete the key. It seems saner to me than doing nothing. (antirez)
2009-10-30 EXPIREAT implemented, will be useful for the append-only mode (antirez)
2009-10-29 Fixed Issue 74 (ERR just returned on invalid password), now the error message is -ERR invalid password. (antirez)
2009-10-29 Fixed issue 72 (SLAVEOF shutdowns redis-server on malformed reply) (antirez)
2009-10-29 Fixed issue 77 (Incorrect time in log files) thanks to youwantalex (antirez)
2009-10-29 Fixed  Issue 76 (redis-server crashes when it can't connect to MASTER and client connects to SLAVE) (antirez)
2009-10-29 ZREMRANGEBYSCORE implemented. Remove a range of elements with score between min and max (antirez)
2009-10-28 TODO changes and mostly theoretical minor skiplist change (antirez)
2009-10-28 ZLEN renamed ZCARD for consistency with SCARD (antirez)
2009-10-27 TODO reworked to reflect the real roadmap (antirez)
2009-10-27 Fix for 'make 32bit' (antirez)
2009-10-27 a fix for the solaris fix itself ;) (antirez)
2009-10-27 More Solaris fixes (antirez)
2009-10-27 A lot of ZSETs tests implemented, and a bug fixed thanks to this new tests (antirez)
2009-10-27 zmalloc Solaris fixes thanks to Alan Harder (antirez)
2009-10-27 ZSCORE implemented (antirez)
2009-10-26 fix for ZRANGEBYSCORE (antirez)
2009-10-26 ZRANGEBYSCORE implemented. Redis got range queries! (antirez)
2009-10-26 A trivial change makes the new implementation O(log(N)) instead of O(log(N))+O(M) when there are M repeated scores! (antirez)
2009-10-26 ZSET now saved on disk like any other type (antirez)
2009-10-26 double serialization routines implemented (antirez)
2009-10-26 ZSETs random fixes. Now the implementation appears to be pretty stable (antirez)
2009-10-26 another leak fixed. Can't find more for now, but still a bug in ZSETs to fix (antirez)
2009-10-26 ZSETs memory leak #1 solved, another one missing (antirez)
2009-10-26 Fix for skiplists backward link (antirez)
2009-10-26 Merged Solaris patches provided by Alan Harder (antirez)
2009-10-26 backward support to skiplists for ZREVRANGE, still broken, committing since I've to merge the Solaris patches (antirez)
2009-10-26 TODO updated (antirez)
2009-10-26 ZREM implemented (antirez)
2009-10-24 fix for ZADD in score update mode (antirez)
2009-10-24 some work on ZADD against existing element (score update), still broken... (antirez)
2009-10-23 zrange now starts to work. zadd still does not support update and will crash or leak or b000mmmmm (antirez)
2009-10-23 zrange initial hack (not working for now) (antirez)
2009-10-23 first skiplist fix, courtesy of valgrind (antirez)
2009-10-23 zset symbols added to stack trace code. ZSets will simply crash at the moment (antirez)
2009-10-23 more work on ZSETs and a new make target called 32bit to build i386 binaries on mac os x leopard (antirez)
2009-10-23 initial skiplist implementation. Most memory checks removed and zmalloc() modified to fail with an error message and abort. Anyway Redis is not designed to recover from out of memory conditions. (antirez)
2009-10-23 Fixed compilation in mac os x snow leopard when compiling a 32 bit binary. (antirez)
2009-10-22 version incremented to 1.050 to distinguish from 1.001 stable and next stable versions with minor fixes (antirez)
2009-10-21 TODO updated (antirez)
2009-10-21 SRANDMEMBER added (antirez)
2009-10-20 Imporant bug leading to data corruption fixed (NOT affecting stable distribution), Tcl client lib MSET/MSETNX implementation fixed, Added new tests for MSET and MSETNX in test-redis.tcl (antirez)
2009-10-17 added multi-bulk protocol support to redis-cli and support for MSET and MSETNX (antirez)
2009-10-17 MSET fixed, was not able to replace keys already set for a stupid bug (antirez)
2009-10-16 some dead code removed (antirez)
2009-10-16 multi bulk input protocol fixed (antirez)
2009-10-16 MSET and MSETNX commands implemented (antirez)
2009-10-07 undoed all the sds hacking that lead just to random bugs and no memory saving ;) (antirez)
2009-10-07 initial multi-bulk query protocol, this will allow MSET and other interesting features. (antirez)
2009-10-03 benchmark now outputs the right command line to shorten the TIME_WAIT interval on Mac OS X when keep alive is set (antirez)
2009-10-02 Issue 69 fixed. Object integer encoding now works with replication and MONITORing again. (antirez)
2009-09-18 LREM fixed, used to crash since the new object integer encoding is on the stage (antirez)
2009-09-17 maxmemory didn't worked in 64 systems for values > 4GB since it used to be an unsigned int. Fixed (antirez)
2009-09-10 incremented version number to 1.001, AKA Redis edge is no longer stable... (antirez)
2009-09-10 in-memory specialized object encoding (for now 32 signed integers only) (antirez)
2009-09-03 Latest doc changes for 1.0 (antirez)
2009-09-03 Redis 1.0.0 release (antirez)
2009-09-02 Redis version pushed to 1.0 (antirez)
2009-09-02 Ruby client lib updated to the latest git version (antirez)
2009-09-02 update-scala-client script added (antirez)
2009-09-02 Scala client added thanks to Alejanro Crosa (antirez)
2009-09-02 QuickStart added (antirez)
2009-09-01 Fixed crash with only space and newline as command (issue 61), thanks to a guy having as nick "fixxxerrr" (antirez)
2009-08-11 TODO list modified (antirez)
2009-07-24 more snow leopard related fixes (for 32bit systems) (antirez)
2009-07-24 fixed compilation with Snow Leopard, thanks to Lon Baker for providing SSH access to Snow Leopard box (antirez)
2009-07-22 Fixed NetBSD compile problems (antirez)
2009-07-17 now the size of the shared pool can be really modified via config, also the number of objects in the sharing pool is logged when the log level is set to debug. Thanks to Aman Gupta (antirez)
2009-07-05 added utils/redis-copy.rb, a script that is able to copy data from one Redis server to another one on the fly. (antirez)
2009-07-04 Applied three different patches thanks to Chris Lamb, one to fix compilation and get the IP register value on Linux IA64 and other systems. One in order to log the overcommit problem on the logs instead of the standard output when Redis is demonized. The latest in order to suggest a more consistent way in order to switch to 1 the memory overcommit Linux feature. (antirez)
2009-07-03 bugfix: EXPIRE now propagates to the Slave. (antirez)
2009-06-16 Redis version modified to 0.900 (antirez)
2009-06-16 update-ruby-client script already points to ezmobius repo (antirez)
2009-06-16 client libraries updated (antirez)
2009-06-16 Redis release candidate 1 (antirez)
2009-06-16 Better handling of background saving process killed or crashed (antirez)
2009-06-14 number of keys info in INFO command thanks to Diego Rosario Brogna (antirez)
2009-06-14 SPOP documented (antirez)
2009-06-14 Clojure library thanks to Ragnar Dahlén (antirez)
2009-06-10 It is now possible to specify - as config file name to read it from stdin (antirez)
2009-06-10 sync with jodosha redis-rb (antirez)
2009-06-10 Redis-rb sync (antirez)
2009-06-10 max inline request raised again to 1024*1024*256 bytes (antirez)
2009-06-10 max bytes in an inline command raised to 1024*1024 bytes, in order to allow for very large MGETs and still protect from client crashes (antirez)
2009-06-08 SPOP implemented. Hash table resizing for Sets and Expires too. Changed the resize policy to play better with RANDOMKEY and SPOP. (antirez)
2009-06-07 some minor changes to the backtrace code (antirez)
2009-06-07 enable backtrace capabilities only for Linux and MacOSX (antirez)
2009-06-07 Dump a backtrace on sigsegv/sigbus, original coded thanks to Diego Rosario Brogna, modified in order to work on different OSes and to enhance reliability (antirez)
2009-06-06 Merge git://github.com/dierbro/redis (antirez)
2009-06-06 add more output (hrothgar)
2009-06-06 store static function pointer for a useful stack trace (hrothgar)
2009-06-06 TODO updated (antirez)
2009-06-06 Makefile dependencies updated (antirez)
2009-06-05 Avoid a busy loop while sending very large replies against very fast links, this allows to be more responsive with other clients even under a KEY * against the loopback interface (antirez)
2009-06-05 Kill the background saving process before performing SHUTDOWN to avoid races (antirez)
2009-06-05 LREM now returns :0 for non existing keys (antirez)
2009-06-05 - put some order in code - better output (hrothgar)
2009-06-05 added config.h for #ifdef business isolation, added fstat64 for Mac OS X (antirez)
2009-06-04 remove die() :-) (hrothgar)
2009-06-04 add compile options to debug (hrothgar)
2009-06-04 initial commit print stack trace (hrothgar)
2009-06-04 initial commit print stack trace (hrothgar)
2009-06-04 macosx specific zmalloc.c, uses malloc_size function in order to avoid to waste memory and time to put an additional header (antirez)
2009-06-04 DEBUG OBJECT implemented (antirez)
2009-06-04 backtrace support removed: unreliable stack trace :( (antirez)
2009-06-04 initial backtrace dumping on sigsegv/sigbus + debug command (antirez)
2009-06-03 Python lib updated (antirez)
2009-06-03 shareobjectspoolsize implemented in reds.conf, in order to control the pool size when object sharing is on (antirez)
2009-05-30 Erlang client updated (antirez)
2009-05-30 Python client library updated (antirez)
2009-05-29 Redis-rb minor bool convertion fix (antirez)
2009-05-29 ruby library client is not Redis-rb merged with RubyRedis "engine" by Brian McKinney (antirez)
2009-05-28 __P completely removed from pqsort.c/h (antirez)
2009-05-28 another minor fix for Solaris boxes (antirez)
2009-05-28 minor fix for Solaris boxes (antirez)
2009-05-28 minor fix for Solaris boxes (antirez)
2009-05-27 maxmemory implemented (antirez)
2009-05-26 Redis git version modified to 0.101 in order to distinguish that from the latest tar.gz via INFO ;) (antirez)
2009-05-26 Redis 0.100 released (antirez)
2009-05-26 client libraries synched in git (antirez)
2009-05-26 ignore gcc warning about write() return code not checked. It is esplicitily this way since the "max number of clients reached" is a best-effort error (antirez)
2009-05-26 max bytes of a received command enlarged from 1k to 16k (antirez)
2009-05-26 RubyRedis: set TCP_NODELAY TCP socket option to to disable the neagle algorithm. Makes a huge difference under some OS, notably Linux (antirez)
2009-05-25 maxclients implemented, see redis.conf for details (antirez)
2009-05-25 INFO command now reports replication info (antirez)
2009-05-25 minor fix to RubyRedis about bulk commands sent without arguments (antirez)
2009-05-24 Warns if using the default config (antirez)
2009-05-24 Issue with redis-client used in scripts solved, now to check if the latest argument must come from standard input we do not check that stdin is or not a tty but the command arity (antirez)
2009-05-23 RubyRedis: now sets are returned as arrays again, and not as Set objects (antirez)
2009-05-23 SLAVEOF command documented (antirez)
2009-05-23 SLAVEOF command implemented for replication remote control (antirez)
2009-05-22 Fix: no connection timeout for the master! (antirez)
2009-05-22 replication slave timeout when receiving the initial bulk data set to 3600 seconds, now that replication is non-blocking the server must save the db before to start the async replication and this can take a lot of time with huge datasets (antirez)
2009-05-22 README tutorial now reflects the new proto (antirez)
2009-05-22 critical bug about glueoutputbuffers=yes fixed. Under load and with pipelining and clients disconnecting on the middle of the chat with the server, Redis could block. Now it's ok (antirez)
2009-05-22 TTL command doc added (antirez)
2009-05-22 TTL command implemented (antirez)
2009-05-22 S*STORE now return the cardinality of the resulting set (antirez)
2009-05-22 rubyredis more compatible with Redis-rb (antirez)
2009-05-21 minor indentation fix (antirez)
2009-05-21 timeout support and Redis-rb compatibility aliases implemented in RubyRedis (antirez)
2009-05-21 RubyRedis info postprocessor rewritten in a more functional way (antirez)
2009-05-21 dead code removed from RubyRedis (antirez)
2009-05-21 command postprocessing implemented into RubyRedis (antirez)
2009-05-20 Automagically reconnection of RubyRedis (antirez)
2009-05-20 RubyRedis: Array alike operators implemented (antirez)
2009-05-20 random testing code removed (antirez)
2009-05-20 RubyRedis DB selection forced at object creation (antirez)
2009-05-20 Initial version of an alternative Ruby client added (antirez)
2009-05-20 SDIFF / SDIFFSTORE added to doc (antirez)
2009-05-20 Aman Gupta changes merged (antirez)
2009-05-20 Merge git://github.com/tmm1/redis (antirez)
2009-05-19 Allow timeout=0 config to disable client timeouts (Aman Gupta)
2009-05-19 Partial qsort implemented in SORT command, only when both BY and LIMIT is used. minor fix for a warning compiling under Linux. (antirez)
2009-05-19 psort.c/h added. This is a partial qsort implementation that Redis will use when SORT+LIMIT is requested (antirez)
2009-05-17 Fix SINTER/UNIONSTORE to allow for &=/|= style operations (i.e. SINTERSTORE set1 set1 set2) (Aman Gupta)
2009-05-17 Optimize SDIFF to return as soon as the result set is empty (Aman Gupta)
2009-05-17 SDIFF/SDIFFSTORE implemnted unifying it with the implementation of SUNION/SUNIONSTORE (antirez)
2009-05-11 timestamp in log lines (antirez)
2009-05-11 Python client updated pushing from Ludo's repository (antirez)
2009-05-11 disconnect when we cannot read from the socket (Ludovico Magnocavallo)
2009-05-11 benchmark utility now supports random keys (antirez)
2009-05-10 minor doc changes (antirez)
2009-05-09 added tests for vararg DEL (antirez)
2009-05-09 DEL is now a vararg, IMPORTANT: memory leak fixed in loading DB code (antirez)
2009-05-09 doc changes (antirez)
2009-05-09 CPP client added thanks to Brian Hammond (antirez)
2009-05-06 Infinite number of arguments for MGET and all the other commands (antirez)
2009-05-04 Warns if /proc/sys/vm/overcommit_memory is set to 0 on Linux. Also make sure to don't resize the hash tables while the child process is saving in order to avoid copy-on-write of memory pages (antirez)
2009-04-30 zmalloc fix, return NULL or real malloc failure (antirez)
2009-04-30 more fixes for dict.c and the 150 million keys limit (antirez)
2009-04-30 dict.c modified to be able to handle more than 150,000,000 keys (antirez)
2009-04-29 fuzz stresser implemented in redis-test (antirez)
2009-04-29 fixed for HT resize check 32bits overflow (antirez)
2009-04-29 Check for fork() failure in background saving (antirez)
2009-04-29 fix for the LZF off-by-one bug added (antirez)
2009-04-28 print bytes used at exit on SHUTDOWN (antirez)
2009-04-28 SMOVE test added (antirez)
2009-04-28 SMOVE command implemented (antirez)
2009-04-28 less CPU usage in command parsing, case insensitive config directives (antirez)
2009-04-28 GETSET command doc added (antirez)
2009-04-28 GETSET tests (antirez)
2009-04-28 GETSET implemented (antirez)
2009-04-27 ability to specify a different file name for the DB (antirez)
2009-04-27 log file parsing code improved a bit (antirez)
2009-04-27 bgsave_in_progress field in INFO output (antirez)
2009-04-27 INCRBY/DECRBY now support 64bit increments, with tests (antirez)
2009-04-23 RANDOMKEY regression test added (antirez)
2009-04-23 dictGetRandomKey bug fixed, RANDOMKEY will not block the server anymore (antirez)
2009-04-22 FLUSHALL/FLUSHDB no longer sync on disk. Just increment the dirty counter by the number of elements removed, that will probably trigger a background saving operation (antirez)
2009-04-21 forgot to comment testing code in PHP lib. Now it is ok (antirez)
2009-04-21 PHP client ported to PHP5 and fixed (antirez)
2009-04-21 doc update (antirez)
2009-04-20 Non blocking replication (finally!). C-side linked lists API improved. (antirez)
2009-04-19 SUNION, SUNIONSTORE, Initial work on non blocking replication (antirez)
2009-04-10 Redis 0.091 released (antirez)
2009-04-10 SINTER/SINTERSTORE/SLEMENTS fix: misisng keys are now not errors, but just like empty sets (antirez)
2009-04-09 doc changes (antirez)
2009-04-08 TODO changes, minor change to default redis.conf (antirez)
2009-04-08 html doc updated (antirez)
2009-04-08 library clients update scripts (antirez)
2009-04-08 Ruby client updated (antirez)
2009-04-08 Lua client updated (antirez)
2009-04-08 Changelog updated (antirez)
2009-04-08 Merge git://github.com/ludoo/redis (antirez)
2009-04-08 add expire command to the php lib (Ludovico Magnocavallo)
2009-04-08 fix decode bug, add flush and info commands (Ludovico Magnocavallo)
2009-04-07 Rearrange redisObject struct to reduce memory usage in 64bit environments (as recommended http://groups.google.com/group/redis-db/msg/68f5a743f8f4e287) (Bob Potter)
2009-04-07 ruby19 compat: use each_line on string (Bob Potter)
2009-04-07 64bit fixes for usedmemory (Bob Potter)
2009-04-08 RANDOMKEY issue 26 fixed, generic test + regression added (antirez)
2009-04-06 Don't accept SAVE if BGSAVE is in progress (antirez)
2009-04-06 add expire command to the python lib (Ludovico Magnocavallo)
2009-04-03 persistent EXPIRE (antirez)
2009-04-03 dirty increment was missing in two points. TODO updated (antirez)
2009-04-02 LZF configured to initalize the HT in order to be determinsitic and play well with valgrind (antirez)
2009-04-02 fix select test (Ludovico Magnocavallo)
2009-04-02 fix trailing cr+nl in values (Ludovico Magnocavallo)
2009-04-02 compression/decompression of large values on disk now working (antirez)
2009-04-02 disable LZF compression since it's not able to load the DB for now, the load part is missing (antirez)
2009-04-02 new LZF files added (antirez)
2009-04-02 Fixed issue 23 about AUTH (antirez)
2009-04-02 Issue 22 fixed (antirez)
2009-04-01 non-lazy expired keys purging implemented (antirez)
2009-04-01 fastlz dependence removed (antirez)
2009-04-01 Initial implementation of EXPIRE (antirez)
2009-03-30 TODO updated (antirez)
2009-03-30 changelog added (antirez)
2009-03-28 redis-sha1 utility added (antirez)
2009-03-28 Integer encoding implemented in dump file. Doc updated (antirez)
2009-03-27 feature macros defined to play well with C99 (antirez)
2009-03-27 feature macros defined to play well with C99 (antirez)
2009-03-27 now Redis is C99-ok (antirez)
2009-03-27 IMPORTANT FIX: new dump format implementation was broken. Now it's ok but tests for the 32-bit case values are needed (antirez)
2009-03-27 ANSI-C compatibility changes (antirez)
2009-03-27 Ruby client library updated. Important changes in this new version! (antirez)
2009-03-26 Lua client added thanks to Daniele Alessandri (antirez)
2009-03-26 Lua client added thanks to Daniele Alessandri (antirez)
2009-03-26 AUTH merged from Brian Hammond fork, reworked a bit to fix minor problems (antirez)
2009-03-25 Adds AUTH command. (Brian Hammond)
2009-03-25 Nasty bug of the new DB format fixed, objects sharing implemented (antirez)
2009-03-25 doc update (antirez)
2009-03-25 Erlang client synched with Valentiono's repo (antirez)
2009-03-25 New file dump format, perl client library added (antirez)
2009-03-25 New protocol fix for LREM (antirez)
2009-03-24 two typos fixed (antirez)
2009-03-24 Now the Redis test uses the proper Tcl client library (antirez)
2009-03-24 Tcl client library (antirez)
2009-03-24 redis-benchmark sync with the new protocol (antirez)
2009-03-24 git mess :) (Ludovico Magnocavallo)
2009-03-24 sync python client to the new protocol (Ludovico Magnocavallo)
2009-03-24 protocol fix in SORT reply with null elements (antirez)
2009-03-24 protocol doc changed (antirez)
2009-03-24 Server replies now in the new format, test-redis.tcl and redis-cli modified accordingly (antirez)
2009-03-24 Python client library updated, thanks to Ludo! (antirez)
2009-03-24 random tested mode for test-redis.tcl, minor other stuff, version switched to 0.8 (antirez)
2009-03-23 Now MONITOR/SYNC cannot be issued multiple times (antirez)
2009-03-23 MONITOR command implemented. (antirez)
2009-03-23 lucsky changes imported. pid file path can now be configured, redis-cli fixes (antirez)
2009-03-23 Merge git://github.com/lucsky/redis (antirez)
2009-03-23 another missing free->zfree replacement fixed. Thanks to Ludo (antirez)
2009-03-23 Fixed redis-cli readLine loop to correctly handle EOF. (Luc Heinrich)
2009-03-23 Display the port on server startup. (Luc Heinrich)
2009-03-23 Allow to specify the pid file from the config file. (Luc Heinrich)
2009-03-23 Added gitignore file. (Luc Heinrich)
2009-03-22 MGET tests added (antirez)
2009-03-22 doc changes (antirez)
2009-03-22 added doc for MGET (antirez)
2009-03-22 redis-cli now checks the arity of vararg commnads (antirez)
2009-03-22 INFO fixed, MGET implemented, redis-cli implements INFO/MGET (antirez)
2009-03-22 first commit (antirez)